Name:		fermilab-conf_tcp-wrappers
Obsoletes:	zz_tcp_wrappers_change
Version:	1.0
Release:	2
Summary:	Adds fermilab specific entries in /etc/hosts.allow and /etc/hosts.deny

Group:		Fermilab
License:	GPL
URL:		http://helpdesk.fnal.gov
Source0:	%{name}.tar.gz

Provides:	zz_tcp_wrappers_change
Requires:	tcp_wrappers coreutils util-linux
Requires(post):	fermilab-conf_doe-banner-console
Requires(post):	augeas
Requires(preun):	augeas
BuildRequires:	bash coreutils
BuildArch:	noarch

%description
This package will add entries in /etc/hosts.allow and /etc/hosts.deny which
are Fermi specific.  By limiting access to certain services to Fermi sites
only, it increases security.

Specifically, we disallow everyone outside of .fnal.gov all service on the
machine and allow virtually everything within .fnal.gov domain.  If you're at
an off-site institution, you'll have to edit the hosts.allow file accordingly
for your domain.

Per: CS-Doc-1065

%prep
%setup -q -n %{name}

%build

%install
rm -rf %{buildroot}
%{__install} -D %{name}.sh %{buildroot}/%{_libexecdir}/%{name}/%{name}.sh

%clean
rm -rf %{buildroot}

%check
bash -n %{buildroot}/%{_libexecdir}/%{name}/%{name}.sh

%post  -p /bin/bash
CURRENT_INSTALLS_OF_THIS_PACKAGE=${1:-0}

%{_libexecdir}/%{name}/%{name}.sh ${CURRENT_INSTALLS_OF_THIS_PACKAGE}
%preun -p /bin/bash
CURRENT_INSTALLS_OF_THIS_PACKAGE=${1:-0}

%{_libexecdir}/%{name}/%{name}.sh ${CURRENT_INSTALLS_OF_THIS_PACKAGE}

#####################################################################
%files
%defattr(0644,root,root,0755)
%doc
%attr(0750,root,root) %{_libexecdir}/%{name}/%{name}.sh


#####################################################################
%changelog
* Tue Feb 23 2016 Pat Riehecky <riehecky@fnal.gov> 1.0-2
- Add Provides old name

* Mon Feb 1 2016 Pat Riehecky <riehecky@fnal.gov> 1.0-1
- Initial build
